<script lang="ts" setup>
import { onMounted, ref } from 'vue'
import Chart from 'chart.js/auto'
//type
import type { UtilityCost } from '@/types/utiliycost/UtilityCost'
import type { UtilityDetail } from '@/types/utiliycost/UtilityDetail'

// store
import { useUtilityStore } from '../../stores/utilitycost/utilitycost'

const ucStore = useUtilityStore()
const types: string[] = []
const prices: number[] = []
if (ucStore.itemIndex >= 0 && ucStore.utilityBills[ucStore.itemIndex]?.ucDetails) {
  for (const item of ucStore.utilityBills[ucStore.itemIndex]?.ucDetails) {
    types.push(item.type)
    prices.push(item.price)
  }
}

const data = {
  labels: types,
  datasets: [
    {
      label: 'ค่าใช้จ่าย',
      data: prices,
      hoverOffset: 4
    }
  ]
}

const config = {
  type: 'doughnut',
  data: data,
  options: {
    responsive: true,
    cutoutPercentage: 50
  }
}

onMounted(() => {
  console.log('config', config)
    const myChart = new Chart(
    document.getElementById('myChart'),
    config,
  );
});



  </script>

<template>
  <div>
    <canvas id="myChart"></canvas>
  </div>
</template>
